{% extends 'user.html.twig' %}

{% block title %}Gérer les prérequis{% endblock %}

{% block body %}
	<h1>Gérer les prérequis</h1>
	<a href="{{ path("admin_prerequis_ajout") }}" class="btn blue float-right">+</a>
	<table class="table striped centered">
		<thead>
			<tr>
				<th>Nom du prérequis</th>
				<th>Actions</th>
			</tr>
		</thead>
		<tbody>
        {% for prerequi in prerequis %}
			<tr>
				<td>{{prerequi.libellePrerequis}}</td>
				<td class="text-center">
					<a href="{{ path("admin_prerequis_show", {id: prerequi.id}) }}" class="btn blue">Voir</a>
                    <a href="{{ path("admin_prerequis_edit", {id: prerequi.id}) }}" class="btn blue">Modifier</a>
					<a href="#" class="btn primary press modal-trigger" data-target="modal-delete" data-id="{{prerequi.id}}" data-titre="{{prerequi.libellePrerequis}}">Supprimer</a>
				</td>
			</tr>
        {% endfor %}
		</tbody>
	</table>

	<div class="modal white falling" id="modal-delete">
		<div class="modal-header">Supprimer un prérequis</div>
		<div class="divider"></div>
		<div class="modal-content">
		</div>
		<div class="divider"></div>
		<div class="modal-footer">
			<a href="" class="btn red">Valider</a>
			<button data-target="modal-delete" class="ml-auto btn small primary modal-trigger">Fermer</button>
		</div>
	</div>
{% endblock %}

{% block javascripts %}
	<script>
		window.onload = () => {
			let modal = new Modal('#modal-delete');
			/*let activer = document.querySelectorAll("[type=checkbox]")
			for (let bouton of activer) {
				bouton.addEventListener("click", function () {
					let xmlhttp = new XMLHttpRequest;
					xmlhttp.open("get", `/admin/annonces/activer/${this.dataset.id}`)
					xmlhttp.send()
				})
			}*/
			let supprimer = document.querySelectorAll(".modal-trigger")
			for(let bouton of supprimer){
				bouton.addEventListener("click", function () {
					document.querySelector(".modal-footer a").href = `/admin/prerequis/supprimer/${this.dataset.id}`
					document.querySelector(".modal-content").innerText = `Êtes-vous sûr(e) de vouloir supprimer le prerequis "${this.dataset.titre}"`
				})
			}
		}
	</script>
{% endblock %}
